Subject: Re: bzip2: How install and use to unpack Cygnus Perl?
From: Earnie Boyd <[email-masked]>
To: James E Keenan <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 8 Mar 2000 05:07:34 -0800 (PST)

--- James E Keenan <[email-masked]> wrote:
> For the purpose of unpacking "perl5.005_03-cygwinb20-dynamic-v1.4.tar.bz2",
> I have downloaded "bzip2095d_win32.exe" from the cygnus site.  I've also
> printed out and studied the bzip2 site.  But I apparently do not have this
> properly installed on my Win98 computer, because I'm getting no results.
> The bzip2 site does not contain any instruction on this elementary problem.
> So let me ask 2 very elementary questions:
> 
> 1.    What directory should it be installed in?

Your choice, put it somewhere on your PATH.

> 2.    Do I run it from the Cygnus BASH prompt or from a DOS prompt?

Yes. Either.

> 3.    Is there anything else I will have to do after running it to further
> unpack and set up the cygwin perl build?
> 

cp bzip2.exe bunzip2.exe

bunzip2 file.tar.bz2 && tar -xvf file.tar

or

bunzip2 -c -k file.tar.bz2 | tar -xv

-c = output to stdout
-k = keep the file

> I need to solve these problems so that I can delve into studying Perl under
> the BASH prompt via Cygnus.  Thank you very much.
> 

Happy studying,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]